/*
 * Copyright (c) 2020 Alex <alex@webz.asia>
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *   @author Alex <alex@webz.asia>
 *   @copyright Copyright (c) 2020 Alex <alex@webz.asia>
 *   @since 29.12.2020
 *
 */

package dtoLib

var responseMap = map[string]map[string]ApiResponse{
	TypeHealthcheck: {
		StatusFound: ApiResponse{
			Code:    HealthcheckCodeFound,
			Type:    TypeHealthcheck,
			Message: "Healthcheck(s) found",
		},
	},
	TypeSystem: {
		StatusFailed: ApiResponse{
			Code:    SystemCodeFailed,
			Type:    TypeSystem,
			Message: "System failed",
		},
	},
}

var errorResponseMap = map[string]map[string]ApiErrorResponse{
	TypeHealthcheck: {
		StatusFailed: ApiErrorResponse{
			Code:    HealthcheckCodeFailed,
			Type:    TypeHealthcheck,
			Message: "Healthcheck(s) failed",
		},
	},
	TypeSystem: {
		StatusFailed: ApiErrorResponse{
			Code:    SystemCodeFailed,
			Type:    TypeSystem,
			Message: "System failed",
		},
	},
}
